Loading...
Searching...
No Matches
D3D12_RENDER_TARGET_BLEND_DESC Struct Reference

`#include <mini_d3d12.h>`

## Public Attributes

BOOL | BlendEnable
BOOL | LogicOpEnable
D3D12_BLEND | SrcBlend
D3D12_BLEND | DestBlend
D3D12_BLEND_OP | BlendOp
D3D12_BLEND | SrcBlendAlpha
D3D12_BLEND | DestBlendAlpha
D3D12_BLEND_OP | BlendOpAlpha
D3D12_LOGIC_OP | LogicOp
UINT8 | RenderTargetWriteMask

## Detailed Description

Definition at line 1946 of file mini_d3d12.h.

## Member Data Documentation

## BlendEnable

BOOL D3D12_RENDER_TARGET_BLEND_DESC::BlendEnable

Definition at line 1947 of file mini_d3d12.h.

## LogicOpEnable

BOOL D3D12_RENDER_TARGET_BLEND_DESC::LogicOpEnable

Definition at line 1948 of file mini_d3d12.h.

## SrcBlend

D3D12_BLEND D3D12_RENDER_TARGET_BLEND_DESC::SrcBlend

Definition at line 1949 of file mini_d3d12.h.

## DestBlend

D3D12_BLEND D3D12_RENDER_TARGET_BLEND_DESC::DestBlend

Definition at line 1950 of file mini_d3d12.h.

## BlendOp

D3D12_BLEND_OP D3D12_RENDER_TARGET_BLEND_DESC::BlendOp

Definition at line 1951 of file mini_d3d12.h.

## SrcBlendAlpha

D3D12_BLEND D3D12_RENDER_TARGET_BLEND_DESC::SrcBlendAlpha

Definition at line 1952 of file mini_d3d12.h.

## DestBlendAlpha

D3D12_BLEND D3D12_RENDER_TARGET_BLEND_DESC::DestBlendAlpha

Definition at line 1953 of file mini_d3d12.h.

## BlendOpAlpha

D3D12_BLEND_OP D3D12_RENDER_TARGET_BLEND_DESC::BlendOpAlpha

Definition at line 1954 of file mini_d3d12.h.

## LogicOp

D3D12_LOGIC_OP D3D12_RENDER_TARGET_BLEND_DESC::LogicOp

Definition at line 1955 of file mini_d3d12.h.

## RenderTargetWriteMask

UINT8 D3D12_RENDER_TARGET_BLEND_DESC::RenderTargetWriteMask

Definition at line 1956 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h